Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class CompositeClassloader

    java.lang.Object
      java.lang.ClassLoader
          net.sf.jasperreports.engine.util.CompositeClassloader

    public class CompositeClassloader

extends java.lang.ClassLoader

A composite classloader that has a parent classloader and an alternate classloader.

When resolving classes, the parent classloader is consulted first, and if that classloader cannot find the class, the alternate/second classloader is asked to resolve the class.

Version:
  $Id: CompositeClassloader.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`CompositeClassloader(java.lang.ClassLoader parent, java.lang.ClassLoader fallback)` Creates a composite classloader.

Method Summary
`protected java.lang.Class` | `findClass(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeClassloader

    public CompositeClassloader(java.lang.ClassLoader parent,
                                java.lang.ClassLoader fallback)

  Creates a composite classloader.

  Parameters:
    `parent` - the parent classloader
    `fallback` - the alternate classloader

Method Detail

### findClass

    protected java.lang.Class findClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com